<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.206
Name: Special treatments and procedures section
Description: The Procedure steps section contains the description of tissue dissection: representative specimens and derived specimens dissected for other ancillary procedures (flow cytometry, cytogenetics, molecular studies, electron microscopy, etc.) or biorepository.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000">
   <title>Special treatments and procedures section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.206
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.206']]
Item: (Specialtreatmentsandproceduressection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.206
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.206']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.206']
Item: (Specialtreatmentsandproceduressection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.206']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.206']"
         id="tmp-r-129d5467-d4b1-4359-a311-27bd2114e178">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150616T110059/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="string(@classCode)=('DOCSECT')">(Specialtreatmentsandproceduressection): de waarde van @classCode MOET 'DOCSECT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150616T110059/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.206'])&gt;=1 ">(Specialtreatmentsandproceduressection): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.206'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150616T110059/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.206'])&lt;=1">(Specialtreatmentsandproceduressection): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.206'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150616T110059/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="count(hl7:code[(@code='46059-2' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='46059-2' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Specialtreatmentsandproceduressection): element hl7:code[(@code='46059-2' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150616T110059/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="count(hl7:code[(@code='46059-2' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Specialtreatmentsandproceduressection): element hl7:code[(@code='46059-2' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150616T110059/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Specialtreatmentsandproceduressection): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150616T110059/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="count(hl7:title)&lt;=1">(Specialtreatmentsandproceduressection): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150616T110059/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(Specialtreatmentsandproceduressection): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150616T110059/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="count(hl7:text)&lt;=1">(Specialtreatmentsandproceduressection): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.206
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.206']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.206']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.206']
Item: (Specialtreatmentsandproceduressection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.206']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.206']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.206']"
         id="tmp-r-c8801014-a05a-4f25-948f-97ce163e7425">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150616T110059/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Specialtreatmentsandproceduressection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150616T110059/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.36.10.206')">(Specialtreatmentsandproceduressection): de waarde van @root MOET '2.16.840.1.113883.2.4.3.36.10.206' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.206
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.206']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.206']/hl7:code[(@code='46059-2' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Specialtreatmentsandproceduressection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.206']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.206']/hl7:code[(@code='46059-2' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-19843134-a0e3-4875-8930-999dfebed2e1">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150616T110059/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Specialtreatmentsandproceduressection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150616T110059/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="@nullFlavor or (@code='46059-2' and @codeSystem='2.16.840.1.113883.6.1')">(Specialtreatmentsandproceduressection): de elementwaarde MOET een zijn van 'code '46059-2' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.206
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.206']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.206']/hl7:title
Item: (Specialtreatmentsandproceduressection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.206']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.206']/hl7:title"
         id="tmp-r-c7aae2e7-d142-4642-94f1-846b0a8bb0fa">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150616T110059/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Specialtreatmentsandproceduressection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.206
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.206']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.206']/hl7:text
Item: (Specialtreatmentsandproceduressection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.206']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.206']/hl7:text"
         id="tmp-r-55e7d309-609c-49ff-ba50-65880a42ebe3">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20150616T110059/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Specialtreatmentsandproceduressection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ED" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>
</pattern>
